#3152 closed defect (wontfix)

Beaglebone Black crashes on u-boot master build.

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 5.1
Component: arch/arm Version: 5
Severity: blocker Keywords: Beaglebone u-boot
Cc: Blocked By:
Blocking:

Description

The crash with a Linux type image and no FDT is:

] ## Booting kernel from Legacy Image at 82000000 ...
]    Image Name:   RTEMS
]    Image Type:   ARM Linux Kernel Image (gzip compressed)
]    Data Size:    60886 Bytes = 59.5 KiB
]    Load Address: 80000000
]    Entry Point:  80000000
]    Verifying Checksum ... OK
]    Uncompressing Kernel Image ... OK
] 
] Starting kernel ...
] 
] data abort
] 
]     MAYBE you should read doc/README.arm-unaligned-accesses
] 
] pc : [<8000010c>]        lr : [<800000ac>]
] sp : 80101000  ip : 0000000c   fp : 9f35ac28
] r10: 9f3ad0f4  r9 : 00000000   r8 : 9f238f40
] r7 : 00000000  r6 : 80000100   r5 : 00000e05  r4 : 60000193
] r3 : 9f238fe0  r2 : 80000100   r1 : 00000e05  r0 : 60000193
] Flags: nzcv  IRQs off  FIQs on  Mode SVC_32
] Resetting CPU ...

and the code is:

BSP_START_TEXT_SECTION void bsp_start_hook_0(void)
{
}
80000104:       e12fff1e        bx      lr

80000108 <bsp_start_hook_1>:
BSP_START_TEXT_SECTION static inline arm_a8core_start_set_vector_base(void)
{
  /*
   * Do not use bsp_vector_table_begin == 0, since this will get optimized away.
  */
  if (bsp_vector_table_end != bsp_vector_table_size) {
80000108:       e3002040        movw    r2, #64 ; 0x40
8000010c:       e3003040        movw    r3, #64 ; 0x40
80000110:       e3482000        movt    r2, #32768      ; 0x8000
80000114:       e3403000        movt    r3, #0
80000118:       e1520003        cmp     r2, r3

Change History (6)

comment:1 Changed on Sep 22, 2017 at 8:12:37 AM by Chris Johns

My u-boot is the original one that comes with the board. I am working out how to get a new one to boot from an SD Card

comment:2 Changed on Sep 25, 2017 at 3:45:39 AM by Chris Johns

The SD card requires you position the SPL (MLO) and u-boot image in specific locations to boot:

dd if=MLO        of=sdcard.img count=1 seek=1 conv=notrunc bs=128k
dd if=u-boot.img of=sdcard.img count=2 seek=1 conv=notrunc bs=384k

The SD card can be formatted with anything.

comment:3 Changed on Oct 10, 2017 at 6:54:12 AM by Sebastian Huber

Component: bspsarch/arm

comment:4 Changed on Oct 11, 2017 at 11:11:19 PM by Joel Sherrill

Owner: changed from joel.sherrill@… to Chris Johns
Status: newassigned
Summary: Beaglbone Black crashes on u-boot master build.Beaglebone Black crashes on u-boot master build.

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:6 Changed on Oct 14, 2018 at 12:42:04 AM by Joel Sherrill

Resolution: wontfix
Status: assignedclosed

There is a work around. If broken again, someone can reopen or file a new ticket.

Note: See TracTickets for help on using tickets.